Bug 8263 - cant upgrade a RHL6.1 with Raid1 partitions
cant upgrade a RHL6.1 with Raid1 partitions
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-07 06:43 EST by denis
Modified: 2015-01-07 18:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-14 08:54:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description denis 2000-01-07 06:43:11 EST
I tested a RHL6.1 upgrade with the RHL6.1 Boot CD
I have /, /home mirrored on 2 disks (Raid1) when I first installed the
system from the CD, using the Graphic version of your installer (disk
druid) :

The problem is :

I selected a "Upgrade", but the installer doesn't detect the partitions :
scsi controller : aic7xxx

May be including the raid1 (and others) module in the upgrade process will
fix this. (or include a fdisk whith recocgnize the 0xfd partition flag).

Hope this helps

Configuration :

[root@air denis]# df -k
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/md1               1035596    478772    504216  49% /
/dev/md2               7574072     57668   7131656   1% /home

[root@air denis]# more /proc/mdstat
Personalities : [raid1]
read_ahead 1024 sectors
md2 : active raid1 sdb1[1] sda1[0] 7694976 blocks [2/2] [UU]
md1 : active raid1 sdb5[1] sda5[0] 1052160 blocks [2/2] [UU]
md0 : active raid1 sdb6[1] sda6[0] 136448 blocks [2/2] [UU]

/dev/sda
         ---Starting---      ----Ending----    Start Number of
 # Flags Head Sect Cyl   ID  Head Sect Cyl    Sector  Sectors
-- ----- ---- ---- ---- ---- ---- ---- ---- -------- ---------
 1  0x80    1    1    0 0xFD  254   63  957       63  15390207
 2  0x00    0    1  958 0x05  254   63 1023 15390270   2377620
 3  0x00    0    0    0 0x00    0    0    0        0         0
 4  0x00    0    0    0 0x00    0    0    0        0         0
 5  0x00    1    1  958 0xFD  254   63 1023       63   2104452
 6  0x00  254   63 1023 0xFD  254   63 1023       63    273042

/dev/sdb
         ---Starting---      ----Ending----    Start Number of
 # Flags Head Sect Cyl   ID  Head Sect Cyl    Sector  Sectors
-- ----- ---- ---- ---- ---- ---- ---- ---- -------- ---------
 1  0x80    1    1    0 0xFD  254   63  957       63  15390207
 2  0x00    0    1  958 0x05  254   63 1023 15390270   2377620
 3  0x00    0    0    0 0x00    0    0    0        0         0
 4  0x00    0    0    0 0x00    0    0    0        0         0
 5  0x00    1    1  958 0xFD  254   63 1023       63   2104452
 6  0x00  254   63 1023 0xFD  254   63 1023       63    273042
Comment 1 Cristian Gafton 2000-01-27 03:16:59 EST
assign to installer
Comment 2 Jay Turner 2000-02-14 08:53:59 EST
RAID upgrades are not support in release 6.1, so that is why you are seeing
problems.  Try the latest installer that is available in beta and you should be
able to upgrade using that code.

Note You need to log in before you can comment on or make changes to this bug.